wibble::list::Take< List > Struct Template Reference

`#include <list.h>`

## Public Types

typedef List::Type | Type

## Public Member Functions

Type | head () const
bool | empty () const
Take | tail () const
| Take (List _l, int m)
| Take ()

## Public Attributes

List | l
int | remaining

## Member Typedef Documentation

## Type

template<typename List >

typedef List::Type wibble::list::Take< List >::Type

## Constructor & Destructor Documentation

## Take() [1/2]

template<typename List >

wibble::list::Take< List >::Take | ( | List | _l,
|  | int | m
| ) |  |

inline

## Take() [2/2]

template<typename List >

wibble::list::Take< List >::Take | ( |  | ) |

inline

## Member Function Documentation

## empty()

template<typename List >

bool wibble::list::Take< List >::empty | ( |  | ) | const

inline

References wibble::list::Take< List >::l, and wibble::list::Take< List >::remaining.

## head()

template<typename List >

Type wibble::list::Take< List >::head | ( |  | ) | const

inline

References wibble::list::Take< List >::l.

## tail()

template<typename List >

Take wibble::list::Take< List >::tail | ( |  | ) | const

inline

References wibble::list::Take< List >::l, and wibble::list::Take< List >::remaining.

## Member Data Documentation

## l

template<typename List >

List wibble::list::Take< List >::l

Referenced by wibble::list::Take< List >::empty(), wibble::list::Take< List >::head(), and wibble::list::Take< List >::tail().

## remaining

template<typename List >

int wibble::list::Take< List >::remaining

Referenced by wibble::list::Take< List >::empty(), and wibble::list::Take< List >::tail().

The documentation for this struct was generated from the following file:

- list.h